Respond to resource pack
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
instance_id*string
Format
uuidbot_id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
packId*string
Format
uuidresponse*soulfire.v1.ResourcePackResponse
Value in
- "RESOURCE_PACK_RESPONSE_UNSPECIFIED"
- "RESOURCE_PACK_RESPONSE_ACCEPTED"
- "RESOURCE_PACK_RESPONSE_DOWNLOADED"
- "RESOURCE_PACK_RESPONSE_SUCCESSFULLY_LOADED"
- "RESOURCE_PACK_RESPONSE_DECLINED"
- "RESOURCE_PACK_RESPONSE_FAILED_DOWNLOAD"
- "RESOURCE_PACK_RESPONSE_INVALID_URL"
- "RESOURCE_PACK_RESPONSE_FAILED_RELOAD"
- "RESOURCE_PACK_RESPONSE_DISCARDED"
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/resource-pack:respond" \ -H "Content-Type: application/json" \ -d '{ "packId": "76be6288-f84b-4cef-9c7f-e3c35001eada", "response": "RESOURCE_PACK_RESPONSE_UNSPECIFIED" }'{ "result": { "actionId": "4a2794ff-94cb-4bac-8d36-d5fb36c563a0", "status": "BOT_ACTION_STATUS_UNSPECIFIED", "error": "string" }}How is this page?
